import request from '@/utils/request'

// 查询水实时数据列表
export function listRecordWaterInstant(query) {
  return request({
    url: '/ems/record/recordWaterInstant/list',
    method: 'get',
    params: query
  })
}

// 查询水实时数据详细
export function getRecordWaterInstant(objId) {
  return request({
    url: '/ems/record/recordWaterInstant/' + objId,
    method: 'get'
  })
}

// 新增水实时数据
export function addRecordWaterInstant(data) {
  return request({
    url: '/ems/record/recordWaterInstant',
    method: 'post',
    data: data
  })
}

// 修改水实时数据
export function updateRecordWaterInstant(data) {
  return request({
    url: '/ems/record/recordWaterInstant',
    method: 'put',
    data: data
  })
}

// 删除水实时数据
export function delRecordWaterInstant(objId) {
  return request({
    url: '/ems/record/recordWaterInstant/' + objId,
    method: 'delete'
  })
}
